<bugID>1326137<Summary>update redux and react-redux to remove react-dev warnigs</Summary><Description>After bug 1325914, the react-dev warnings from source code is resolved.

There are several `Stateless function components cannot be given refs` warnings as well, ex:

Warning: Stateless function components cannot be given refs (See ref "wrappedInstance" in ToggleButton created by Connect(ToggleButton)). Attempts to access this ref will fail.


StateOverflow said it could be fixed by upgrading to react-redux 4, which wont attach ref to the wrapped component by default

http://stackoverflow.com/questions/35952607/what-does-stateless-function-components-cannot-be-given-refs-mean

The redux / react-redux version are 11 months ago, we should update it to get benefit of .</Description></bugID>